## lm-debug

lm-debug

## Functions

#define | lm_verbose()
void | lm_debug_init ()

## Types and Values

#define | LM_LOG_LEVEL_VERBOSE
#define | LM_LOG_LEVEL_NET
#define | LM_LOG_LEVEL_PARSER
#define | LM_LOG_LEVEL_SSL
#define | LM_LOG_LEVEL_SASL
#define | LM_LOG_LEVEL_ALL
typedef | LmLogLevelFlags
#define | LM_LOG_DOMAIN

## Description

## Functions

### lm_verbose()

    #    define lm_verbose(...)

### lm_debug_init ()

    void
    lm_debug_init (void);

Initialized the debug system.

## Types and Values

### LM_LOG_LEVEL_VERBOSE

    #define LM_LOG_LEVEL_VERBOSE (1 << (G_LOG_LEVEL_USER_SHIFT))

### LM_LOG_LEVEL_NET

    #define LM_LOG_LEVEL_NET     (1 << (G_LOG_LEVEL_USER_SHIFT + 1))

### LM_LOG_LEVEL_PARSER

    #define LM_LOG_LEVEL_PARSER  (1 << (G_LOG_LEVEL_USER_SHIFT + 2))

### LM_LOG_LEVEL_SSL

    #define LM_LOG_LEVEL_SSL     (1 << (G_LOG_LEVEL_USER_SHIFT + 3))

### LM_LOG_LEVEL_SASL

    #define LM_LOG_LEVEL_SASL    (1 << (G_LOG_LEVEL_USER_SHIFT + 4))

### LM_LOG_LEVEL_ALL

    #define             LM_LOG_LEVEL_ALL

### LmLogLevelFlags

    typedef GLogLevelFlags LmLogLevelFlags;

### LM_LOG_DOMAIN

    #  define LM_LOG_DOMAIN "LM"